/*
 * HlavniOkno.java
 *
 * Created on 30.12.2009, 2:22:41
 */
package cz.frantovo.abcDrupal.gui;

import com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel;
import cz.frantovo.abcDrupal.Konvertor;
import cz.frantovo.abcDrupal.PosluchacLogu;
import cz.frantovo.abcDrupal.PromenneProstredi;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

/**
 *
 * @author fiki
 */
public class HlavniOkno extends javax.swing.JFrame implements PosluchacLogu {

    private static final Logger log = Logger.getLogger(HlavniOkno.class.getName());

    /** Creates new form HlavniOkno */
    public HlavniOkno() {
	initComponents();
	setLocationRelativeTo(null);
	nactiPromenneProstredi();
    }

    private void nactiPromenneProstredi() {
	String zdroj = System.getenv(PromenneProstredi.MIGRACE_ZDROJ.toString());
	if (zdroj != null) {
	    jdbcZdroj.setText(zdroj);
	}
	String cil = System.getenv(PromenneProstredi.MIGRACE_CIL.toString());
	if (cil != null) {
	    jdbcCil.setText(cil);
	}
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jdbcZdroj = new javax.swing.JTextField();
        jdbcCil = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        vystup = new javax.swing.JTextArea();
        nahratData = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("ABC-Drupal");

        jLabel1.setText("Zdroj");

        jLabel2.setText("Cíl");

        jdbcZdroj.setText("jdbc:mysql://127.0.0.1:3306/itbiz?user=itbiz&password=nbusr123");

        jdbcCil.setText("jdbc:mysql://127.0.0.1:3306/abclinuxu?user=abclinuxu&password=nbusr123");

        vystup.setColumns(20);
        vystup.setEditable(false);
        vystup.setRows(5);
        vystup.setEnabled(false);
        jScrollPane1.setViewportView(vystup);

        nahratData.setText("Nahrát data");
        nahratData.addMouseWheelListener(new java.awt.event.MouseWheelListener() {
            public void mouseWheelMoved(java.awt.event.MouseWheelEvent evt) {
                nahratDataMouseWheelMoved(evt);
            }
        });
        nahratData.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nahratDataActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 599, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jdbcCil, javax.swing.GroupLayout.DEFAULT_SIZE, 560, Short.MAX_VALUE)
                            .addComponent(jdbcZdroj, javax.swing.GroupLayout.DEFAULT_SIZE, 560, Short.MAX_VALUE)))
                    .addComponent(nahratData))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jdbcZdroj, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jdbcCil, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel2))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 152, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(nahratData)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void nahratDataActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nahratDataActionPerformed
	Konvertor k = new Konvertor(jdbcZdroj.getText(), jdbcCil.getText(), this);
	nahratData.setEnabled(false);
	nahratData.setToolTipText("Pokud chcete spustit migraci ještě jednou, pootočte kolečkem myši :-)");
	k.konvertuj();
    }//GEN-LAST:event_nahratDataActionPerformed

    private void nahratDataMouseWheelMoved(java.awt.event.MouseWheelEvent evt) {//GEN-FIRST:event_nahratDataMouseWheelMoved
	nahratData.setEnabled(true);
	nahratData.setToolTipText(null);
    }//GEN-LAST:event_nahratDataMouseWheelMoved

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
	nastavLaF();

	java.awt.EventQueue.invokeLater(new Runnable() {

	    public void run() {
		new HlavniOkno().setVisible(true);
	    }
	});
    }

    private static void nastavLaF() {
	try {
	    UIManager.setLookAndFeel(new NimbusLookAndFeel());
	} catch (UnsupportedLookAndFeelException e) {
	    log.log(Level.FINE, "Nepodařilo se načíst LaF. Nevadí.");
	}
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextField jdbcCil;
    private javax.swing.JTextField jdbcZdroj;
    private javax.swing.JButton nahratData;
    private javax.swing.JTextArea vystup;
    // End of variables declaration//GEN-END:variables

    public void vypis(String zprava) {
	vystup.append(zprava + "\n");
    }
}
